Snag Docs logo

Get user's question responses

Retrieve responses submitted by the authenticated user, optionally filtered by question IDs

GEThttps://admin.snagsolutions.io/api/loyalty/questions_responses

Retrieve responses submitted by the authenticated user, optionally filtered by question IDs

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Query Parameters

questionsIdany

UUID(s) of the questions to filter responses

websiteIdstring<uuid>

UUID of the website to filter responses

organizationIdstring<uuid>

UUID of the organization to filter responses

userIdstring<uuid>

UUID of the user to filter responses

limitintegerdefault: 10

Maximum number of records to return (max 100)

Required range: x >= 1, x <= 100
Default: 10
startingAfterstring<uuid>

Pagination cursor to start after a specific resource ID

Response

application/json

200

dataarray<object>required
data.idstring<uuid>required
data.userIdstring<uuid>required
data.loyaltyQuestionIdstring<uuid>required
data.loyaltyQuestionChoiceIdstring<uuid>required
data.createdAtstring<date-time>required
data.isCorrectbooleanrequired
data.questionobjectrequired
hasNextPagebooleanrequired

Indicates if there are more pages of results available